# Class ActiveRecord::ConnectionAdapters::PostgreSQLAdapter < Object

- config/initializers/postgresql_limit_fix.rb

Namespace

- CLASS ActiveRecord::ConnectionAdapters::PostgreSQLAdapter::TableDefinition

Methods

A
  - add_column_with_limit_filter
C
  - change_column_with_limit_filter

Instance Public methods
add_column_with_limit_filter(table_name, column_name, type, options = {}) Link

Source: show

    # File config/initializers/postgresql_limit_fix.rb, line 13
    def add_column_with_limit_filter(table_name, column_name, type, options = {})
      options.delete(:limit) if type == :text
      add_column_without_limit_filter(table_name, column_name, type, options)
    end

change_column_with_limit_filter(table_name, column_name, type, options = {}) Link

Source: show

    # File config/initializers/postgresql_limit_fix.rb, line 18
    def change_column_with_limit_filter(table_name, column_name, type, options = {})
      options.delete(:limit) if type == :text
      change_column_without_limit_filter(table_name, column_name, type, options)
    end